<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");
//session handling information please!
session_start();
header("Cache-control: private"); //IE 6 fix

if(isset($_GET["back"]) && $_GET["back"] == "true"){
	$_SESSION["history"] = array_slice($_SESSION["history"], 0, count($_SESSION["history"]) - 1);
	$_SESSION["agenda"]->enqueue($_ENV['HTTP_REFERER']);
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>ERA2: Gathering initial info</TITLE>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="D Crighton">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" href="style.css" type="text/css"> 

</HEAD>

<BODY>
<div id = "header">
<img src = "./images/logo.gif"/>
</div>

<div id="wrapper">

	<div id = "container">
		<div id = "content">
			
		
			<form id = "paperInfo" name="paperInfo" action = "getInfoHandler.php" method = "POST">
			<br><br>
			This section of ERA gathers initial information about the paper which 
			you are reviewing, please fill in all fields and then click the submit button.
			<br><br>
			<?
			if(isset($_SESSION["error"])){
				echo($_SESSION["error"]);	
			}			
			?>
			<b>Please enter the name of the paper being reviewed:</b><br>
			<textarea id="paperName" name="paperName" rows="3" cols="60"><?php
				if(isset($_SESSION["paperName"])){
					echo($_SESSION["paperName"]);	
				}
			?></textarea>
			<br><br><b>Please enter the author's name</b><br>
			<textarea id = "authorName" name="authorName" rows = "1" cols = "60"><?php
				if(isset($_SESSION["authorName"])){
					echo($_SESSION["authorName"]);	
				}
			?></textarea>
			<br><br><b>Please enter your name</b><br>
			<textArea id = "reviewerName" name="reviewerName" rows = "1" cols = "60"><?php
				if(isset($_SESSION["reviewerName"])){
					echo($_SESSION["reviewerName"]);	
				}
			?></textArea>
			<br><Br><input type="submit" value="submit"/>
			
			</form>
	
			<div align="right">
			<?
			if(isset($_SESSION["history"])){
			$link = $_SESSION["history"][count($_SESSION["history"]) - 1];
			$temp = parse_url($link);
			$query = $temp["query"];
			if($query == ""){
				$link = $link . "?back=true";	
			}
			else{
				$link = $link . "&back=true";	
			}
			echo("<a href = \"");
			echo($link);
			echo("\">Back</a>");	
			}
			?>
			</div>
	</div>
</div>

	<div id = "sidebar">
		<b>Menu</b>
		<br><br><a href = "destroy.php">Destroy Session</a><br><br>
		Jump to Section<br><br>
		<?
			if($seen["getInfo.php"] == "true") { echo("<br><a href = \"getInfo.php?sidebar=true\">Initial Information</a>"); }
			if($seen["summary.php"] == "true") { echo("<br><a href = \"summary.php?sidebar=true\">Summary</a>"); }
			if($seen["technique.php"] == "true") {
				if(isset($_SESISON["Technique"]) && $_SESSION["Technique"] == "yes"){
					for($x = 1; $x < $_SESSION["TechniqueQuantity"] + 1; $x++){
						$string = "<br><a href = \"summary.php?sidebar=true&TechniqueNumber=";
						$string .= $x;
						$string .= "\">Technique ";
						$string .= $x;
						$string .= "</a>";
						echo($string);
					}	
				}	
			}
			if($seen["relevance.php"] == "true") { echo("<br><a href = \"relevance.php?sidebar=true\">Relevance</a>"); }
			if($seen["originality.php"] == "true") { echo("<br><a href = \"originality.php?sidebar=true\">Originality</a>"); }
			if($seen["validity.php"] == "true") { echo("<br><a href = \"validity.php?sidebar=true\">Validity</a>"); }
			if($seen["presentation.php"] == "true") { echo("<br><a href = \"presentation.php?sidebar=true\">Presentation</a>"); }
		?>
	</div>
	<div class="clearing">&nbsp;</div>
	</div>
</div>

	<div id = "footer">
	<a href = "mailto:crighton@gmail.com">Dave Crighton</a>: MSc Student<br>
	<a href = "http://www.inf.ed.ac.uk">School of Informatics</a><br>
	University of Edinburgh<br>
	</div>


</BODY>
</HTML>
