<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");
//session handling information please!
session_start();
header("Cache-control: private"); //IE 6 fix

if(isset($_GET["back"]) && $_GET["back"] == "true"){
	$_SESSION["history"] = array_slice($_SESSION["history"], 0, count($_SESSION["history"]) - 1);
	$_SESSION["agenda"]->enqueue($_ENV['HTTP_REFERER']);
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>ERA2: Creating Summary</TITLE>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="D Crighton">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" href="style.css" type="text/css"> 

<script language="javascript"  type="text/javascript">

var techniqueHandler = "techniqueHandler.php?index=" + Math.random() + "&techniqueOn="; // The server-side script
var techniqueQuantityHandler = "techniqueHandler.php?index=" + Math.random() + "&techniqueQuantity=";
var systemHandler = "systemHandler.php?index=" + Math.random() + "&systemOn=";
var systemTypeHandler = "systemHandler.php?index=" + Math.random() + "&Type=";
var toolsQuantityHandler = "systemHandler.php?index=" + Math.random() + "&toolsQuantity=";
var problemHandler = "problemHandler.php?index=" + Math.random() + "&problemOn=";
var surveyHandler = "surveyHandler.php?index=" + Math.random() + "&surveyOn=";
var surveyOmmisionsHandler = "surveyHandler.php?index=" + Math.random() + "&surveyOmitOn=";
var hypothesisQuantityHandler = "hypHandler.php?index=" + Math.random() + "&hypQuantity="
var specialHypHandler1 = "hypHandler.php?index=" + Math.random() + "&hypEvidenceIndex="
var specialHypHandler2 = "hypHandler.php?index=" + Math.random() + "&hypFormationIndex="
var specialToolHandler1 = "systemHandler.php?index=" + Math.random() + "&toolSuitedIndex="
var specialToolHandler2 = "systemHandler.php?index=" + Math.random() + "&toolNovelIndex="

var queue = new Array()
var index = 0;
var queueTools = new Array()
var indexTools = 0;
var queueHyp = new Array()
var indexHyp = 0;
var currentTechniques = 0;
var currentTools = 0;
var currentHypotheses = 0;




var techniqueDetailDefault = "<div name = \"technique1\" id =\"technique1\"></div><div name = \"technique2\" id =\"technique2\"></div></div><div name = \"technique3\" id =\"technique3\"></div></div><div name = \"technique4\" id =\"technique4\"></div><div name = \"technique5\" id =\"technique5\"></div><div name = \"technique6\" id =\"technique6\"></div><div name = \"technique7\" id =\"technique7\"></div><div name = \"technique8\" id =\"technique8\"></div><div name = \"technique9\" id =\"technique9\"></div><div name = \"technique10\" id =\"technique10\"></div>"
var systemToolsPanelDefault = "<div id = \"systemToolsPanel\"><div id =\"tools1\" name=\"tools1\"></div><div id =\"tools2\" name=\"tools2\"></div><div id =\"tools3\" name=\"tools3\"></div><div id =\"tools4\" name=\"tools4\"></div><div id =\"tools5\" name=\"tools5\"></div><div id =\"tools6\" name=\"tools6\"></div><div id =\"tools7\" name=\"tools7\"></div><div id =\"tools8\" name=\"tools8\"></div><div id =\"tools9\" name=\"tools9\"></div><div id =\"tools10\" name=\"tools10\"></div></div>"
var hypothesisDefault = "<div id = \"hypothesis1\"></div><div id = \"hypothesis2\"></div><div id = \"hypothesis3\"></div><div id = \"hypothesis4\"></div><div id = \"hypothesis5\"></div><div id = \"hypothesis6\"></div><div id = \"hypothesis7\"></div><div id = \"hypothesis8\"></div><div id = \"hypothesis9\"></div><div id = \"hypothesis10\"></div>"

function populate(){
	//document.getElementById("Loading").style.visibility = "visible";
	populateTechnique();
	populateProblem();
	populateSurvey();
	populateHypothesis();
	populateSystem(); 
	document.getElementById("Loading").style.visibility = "hidden";
}



function populateTechnique(){
	if(document.getElementById("techniqueRadioYes").checked == true){
		//there are techniques so we need to populate the table
		http.open("GET", techniqueHandler + escape("true"), false);
		http.send(null);
		results = http.responseText;
		document.getElementById('techniqueForm').innerHTML = results;
		var TempQuantity = <? if(isset($_SESSION["TechniqueQuantity"])){echo($_SESSION["TechniqueQuantity"]);}else{echo("0");}?>;
		document.getElementById('techniqueQuantity').options[TempQuantity].selected = true;
		currentTechniques = TempQuantity;
		for(var x = 1; x < TempQuantity + 1; x++){
			http.open("GET", techniqueQuantityHandler + escape(x), false);
			http.send(null);
			results = http.responseText;
			elementID = "technique" + parseInt(x);
			document.getElementById(elementID).innerHTML = results;
		}
	}
	
}

function populateSystem(){
	if(document.getElementById('systemRadioYes').checked == true){
		http.open("GET", systemHandler + escape(true), false);
		http.send(null);
		results = http.responseText;
		document.getElementById('systemForm').innerHTML = results;
		var TempValue = <? if(isset($_SESSION["SystemType"])) { echo($_SESSION["SystemType"]); } else { echo("0"); } ?>;
		document.getElementById('systemType').options[TempValue].selected = true;
		http.open("GET", systemTypeHandler + escape(TempValue), false);
		http.send(null);
		results = http.responseText;
		document.getElementById('systemDetail').innerHTML = results;	
		if(TempValue == 3){
			var selVal = <? if(isset($_SESSION["SystemDiffers"])) { echo($_SESSION["SystemDiffers"]); } else { echo("0"); } ?>;
			document.getElementById('systemDiffers').options[selVal].selected = true;
		}
		if(TempValue == 2){
			var toolsQ = <? if(isset($_SESSION["ToolsQuantity"])) { echo($_SESSION["ToolsQuantity"]); } else { echo("0"); } ?>;
			currentTools = toolsQ;
			document.getElementById("toolsQuantity").options[toolsQ].selected = true;
			for(var x = 1; x < toolsQ + 1; x++){
				http.open("GET", toolsQuantityHandler + escape(x), false);
				http.send(null);
				results = http.responseText;
				elementID = "tools" + parseInt(x)
				document.getElementById(elementID).innerHTML = results;
				http.open("GET", specialToolHandler1 + parseInt(x), false);
				http.send(null);
				results = http.responseText;
				elementID = "toolSuited" + parseInt(x);
				document.getElementById(elementID).options[results].selected = true;
				http.open("GET", specialToolHandler2 + parseInt(x), false);
				http.send(null);
				results = http.responseText;
				elementID = "toolNovel" + parseInt(x);
				document.getElementById(elementID).options[results].selected = true;
				
			}
		}
	}
}

function populateHypothesis(){
	var TempQuantity = <? if(isset($_SESSION["HypothesisQuantity"])){echo($_SESSION["HypothesisQuantity"]);}else{echo("0");}?>;
	currentHypotheses = TempQuantity;
	document.getElementById('hypothesesQuantity').options[TempQuantity].selected = true;
	for(var x = 1; x < TempQuantity + 1; x++){
		http.open("GET", hypothesisQuantityHandler + escape(x), false);
		http.send(null);
		results = http.responseText;
		elementID = "hypothesis" + parseInt(x);
		document.getElementById(elementID).innerHTML = results;
		http.open("GET", specialHypHandler1 + parseInt(x), false);
		http.send(null);
		results = http.responseText;
		
		elementID = "hypEvidenceType" + parseInt(x);
		document.getElementById(elementID).options[results].selected = true;
		
		http.open("GET", specialHypHandler2 + parseInt(x), false);
		http.send(null);
		results = http.responseText;
		elementID = "hypFormation" + parseInt(x);
		document.getElementById(elementID).options[results].selected = true;
		
	}
}

function populateProblem(){
	if(document.getElementById('problemRadioYes').checked == true){
	http.open("GET", problemHandler + escape(true), false);
	http.send(null);
	results = http.responseText;
	document.getElementById('problemForm').innerHTML = results;
	var TempQuantity = <? if(isset($_SESSION["ProblemSignificant"])){echo($_SESSION["ProblemSignificant"]);}else{echo("0");}?>;
	document.getElementById("problemSignificant").options[TempQuantity].selected = true;
	}
}

function populateSurvey(){
	if(document.getElementById('surveyRadioYes').checked == true){
	http.open("GET", surveyHandler + escape(true), false);
	http.send(null);
	results = http.responseText;
	document.getElementById("surveyForm").innerHTML = results
	var TempQuantity = <? if(isset($_SESSION["SurveyDepth"])){echo($_SESSION["SurveyDepth"]);}else{echo("0");}?>;
	document.getElementById('surveyDeep').options[TempQuantity].selected = true;
	TempQuantity = <? if(isset($_SESSION["SurveyBreadth"])){echo($_SESSION["SurveyBreadth"]);}else{echo("0");}?>;
	document.getElementById('surveyBroad').options[TempQuantity].selected = true;
	TempQuantity = <? if(isset($_SESSION["SurveyCurrent"])){echo($_SESSION["SurveyCurrent"]);}else{echo("0");}?>;
	document.getElementById('surveyCurrent').options[TempQuantity].selected = true;
	if(document.getElementById('surveyOmmisionsRadioYes').checked == true){
		http.open("GET", surveyOmmisionsHandler + escape(true), false);
		http.send(null);
		results = http.responseText;
		document.getElementById('surveyDetail').innerHTML = results;
	}
	}
}


function handleTechniqueHttpResponse() {
  if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {

    // Split the comma delimited response into an array
    results = http.responseText;
    document.getElementById('techniqueForm').innerHTML = results;
    document.getElementById('techniqueDetail').innerHTML = techniqueDetailDefault;
    if(document.getElementById("techniqueRadioNo").checked){
    	//delete all of the children if its not a technique
    	document.getElementById('techniqueDetail').innerHTML = techniqueDetailDefault;
        currentTechniques = 0;
    	}
    isWorking = false;
  	}
  }
}

function handleTechniqueQuantityHttpResponse() {
	if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {
    	// Split the comma delimited response into an array
    	results = http.responseText;
    	elementID = 'technique' + parseInt(index+1);
    	document.getElementById(elementID).innerHTML = results;
    	isWorking = false;
    	if(index < queue.length){
    		index++;
    		makeRequest();
   		}
  	}
  }
}

function handleHypQuantityHttpResponse() {
	if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {
    	// Split the comma delimited response into an array
    	results = http.responseText;
    	elementID = 'hypothesis' + parseInt(indexHyp+1);
    	document.getElementById(elementID).innerHTML = results;
    	isWorking = false;
    	if(indexHyp < queueHyp.length){
    		indexHyp++;
    		makeRequestHyp();
   		}
  	}
  }
}

function handleSystemHttpResponse() {
  if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {

    // Split the comma delimited response into an array
    results = http.responseText;
    document.getElementById('systemForm').innerHTML = results;
    if(document.getElementById("systemRadioNo").checked){
    	//delete all of the children if its not a technique
    	document.getElementById('systemDetail').innerHTML = systemToolsPanelDefault;
    }
    isWorking = false;
  	}
  }
}



function handleProblemHttpResponse() {
  if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {

    // Split the comma delimited response into an array
    results = http.responseText;
    document.getElementById('problemForm').innerHTML = results;
    isWorking = false;
  	}
  }
}

function handleSurveyHttpResponse() {
  if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {

    // Split the comma delimited response into an array
    results = http.responseText;
    document.getElementById('surveyForm').innerHTML = results;
    if(document.getElementById("surveyRadioNo").checked){
    	//delete all of the children if its not a technique
    	document.getElementById('surveyDetail').innerHTML = ""
    }
    isWorking = false;
  	}
  }
}

function handleSurveyOmmisionsHttpResponse() {
  if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {

    // Split the comma delimited response into an array
    results = http.responseText;
    document.getElementById('surveyDetail').innerHTML = results;
    isWorking = false;
  	}
  }
}

function handleSystemTypeHttpResponse() {
  if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {

    // Split the comma delimited response into an array
    results = http.responseText;
    document.getElementById('systemDetail').innerHTML = results;
    isWorking = false;
  	}
  }
}

function handleToolsQuantityHttpResponse() {
if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {
    	// Split the comma delimited response into an array
    	results = http.responseText;
    	elementID = 'tools' + parseInt(indexTools+1);
    	document.getElementById(elementID).innerHTML = results;
    	isWorking = false;
    	if(index < queueTools.length){
    		indexTools++;
    		makeRequestTools();
   		}
  	}
  }
   
}

var isWorking = false;

function checkToolsQuantity() {
	if (!isWorking && http) {
		var quantityIndex = parseInt(document.getElementById("toolsQuantity").selectedIndex);
		//we want to call the handler for each page that has changed
		//if the selected value is equal to the current then do nothing
		if(currentTools != quantityIndex){
			//now find out if we are adding or removing
			queueTools = new Array();
			if(currentTools > quantityIndex){
				//removing
				for(var i = 10; i > quantityIndex; i--){
				 	elementID = 'tools' + parseInt(i);
    				document.getElementById(elementID).innerHTML = "";
				}
			}
			else{
				//adding
				for(var i = 1; i < quantityIndex + 1; i++){
				 callLocation = toolsQuantityHandler + escape(i);
				 queueTools.push(callLocation);	
				}
			
			}
		}
		//queue accesible here
		indexTools = 0;
		makeRequestTools();
		currentTools = quantityIndex;
	}
}

function checkTechniqueQuantity() {
	if (!isWorking && http) {
		var quantityIndex = parseInt(document.getElementById("techniqueQuantity").selectedIndex);
		//we want to call the handler for each page that has changed
		//if the selected value is equal to the current then do nothing
		if(currentTechniques != quantityIndex){
			//now find out if we are adding or removing
			queue = new Array();
			if(currentTechniques > quantityIndex){
				//removing
				for(var i = 10; i > quantityIndex; i--){
				 	elementID = 'technique' + parseInt(i);
    				document.getElementById(elementID).innerHTML = "";
				}
			}
			else{
				//adding
				for(var i = 1; i < quantityIndex + 1; i++){
				 callLocation = techniqueQuantityHandler + escape(i);
				 queue.push(callLocation);	
				}
			
			}
		}
		//queue accesible here
		index = 0;
		makeRequest();
		currentTechniques = quantityIndex;
	}
}

function checkHypQuantity() {
	if (!isWorking && http) {
		var quantityIndex = parseInt(document.getElementById("hypothesesQuantity").selectedIndex);
		//we want to call the handler for each page that has changed
		//if the selected value is equal to the current then do nothing
		if(currentHypotheses != quantityIndex){
			//now find out if we are adding or removing
			queueHyp = new Array();
			if(currentHypotheses > quantityIndex){
				//removing
				for(var i = 10; i > quantityIndex; i--){
				 	elementID = 'hypothesis' + parseInt(i);
    				document.getElementById(elementID).innerHTML = "";
				}
			}
			else{
				//adding
				for(var i = 1; i < quantityIndex + 1; i++){
				 callLocation = hypothesisQuantityHandler + escape(i);
				 queueHyp.push(callLocation);	
				}
			
			}
		}
		//queue accesible here
		indexHyp = 0;
		makeRequestHyp();
		currentHypotheses = quantityIndex;
	}
}

function makeRequest(){
	if (!isWorking && http && index < queue.length) {
		http = getHTTPObject();
		http.open("GET", queue[index], true);
		http.onreadystatechange = handleTechniqueQuantityHttpResponse;
  		isWorking=true;
  		http.send(null);
	}
}

function makeRequestHyp(){
	if (!isWorking && http && indexHyp < queueHyp.length) {
		http = getHTTPObject();
		http.open("GET", queueHyp[indexHyp], true);
		http.onreadystatechange = handleHypQuantityHttpResponse;
  		isWorking=true;
  		http.send(null);
	}
}

function makeRequestTools(){
	if (!isWorking && http && indexTools < queueTools.length) {
		http = getHTTPObject();
		http.open("GET", queueTools[indexTools], true);
		http.onreadystatechange = handleToolsQuantityHttpResponse;
  		isWorking=true;
  		http.send(null);
	}
}


function checkTechnique() {
  if (!isWorking && http) {
  var yesValue = document.getElementById("techniqueRadioYes").checked;
  var noValue = document.getElementById("techniqueRadioNo").checked;
  if(yesValue == true){
  http.open("GET", techniqueHandler + escape("true"), true);
  }else{
  http.open("GET", techniqueHandler + escape("false"), true);
  }
  http.onreadystatechange = handleTechniqueHttpResponse;
  isWorking=true;
  http.send(null);
  }

}

function checkSystem() {
  if (!isWorking && http) {
  var yesValue = document.getElementById("systemRadioYes").checked;
  var noValue = document.getElementById("systemRadioNo").checked;
  if(yesValue == true){
  http.open("GET", systemHandler + escape("true"), true);
  }else{
  http.open("GET", systemHandler + escape("false"), true);
  }
  http.onreadystatechange = handleSystemHttpResponse;
  isWorking=true;
  http.send(null);
  }

}

function checkProblem() {
  if (!isWorking && http) {
  var yesValue = document.getElementById("problemRadioYes").checked;
  var noValue = document.getElementById("problemRadioNo").checked;
  if(yesValue == true){
  http.open("GET", problemHandler + escape("true"), true);
  }else{
  http.open("GET", problemHandler + escape("false"), true);
  }
  http.onreadystatechange = handleProblemHttpResponse;
  isWorking=true;
  http.send(null);
  }

}

function checkSurvey() {
  if (!isWorking && http) {
  var yesValue = document.getElementById("surveyRadioYes").checked;
  var noValue = document.getElementById("surveyRadioNo").checked;
  if(yesValue == true){
  http.open("GET", surveyHandler + escape("true"), true);
  }else{
  http.open("GET", surveyHandler + escape("false"), true);
  }
  http.onreadystatechange = handleSurveyHttpResponse;
  isWorking=true;
  http.send(null);
  }

}

function checkSurveyOmmisions() {
  if (!isWorking && http) {
  var yesValue = document.getElementById("surveyOmmisionsRadioYes").checked;
  var noValue = document.getElementById("surveyOmmisionsRadioNo").checked;
  if(yesValue == true){
  http.open("GET", surveyOmmisionsHandler + escape("true"), true);
  }else{
  http.open("GET", surveyOmmisionsHandler + escape("false"), true);
  }
  http.onreadystatechange = handleSurveyOmmisionsHttpResponse;
  isWorking=true;
  http.send(null);
  }

}

function checkSystemType() {
	if (!isWorking && http) {
		var quantityIndex = document.getElementById("systemType").selectedIndex;
		http.open("GET", systemTypeHandler + escape(quantityIndex), true);
		http.onreadystatechange = handleSystemTypeHttpResponse;
  		isWorking=true;
  		http.send(null);
	}
}

function getHTTPObject() {
  var xmlhttp;
  /*@cc_on
  @if (@_jscript_version >= 5)
    try {
      xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {
      try {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
      } catch (E) {
        xmlhttp = false;
      }
    }
  @else
  xmlhttp = false;
  @end @*/
  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
    try {
      xmlhttp = new XMLHttpRequest();
    } catch (e) {
      xmlhttp = false;
    }
  }
  return xmlhttp;
}

var http = getHTTPObject(); // We create the HTTP Object

</script>

</HEAD>

<BODY onLoad="populate()">
<div id = "header">
<img src = "./images/logo.gif"/>
</div>

<div id="wrapper">

	<div id = "container">
		<div id = "content">
			
		
			<form id = "summary" name="summary" action = "summaryHandler.php" method = "POST">
			<br><br>
			This section of ERA creates a summary of the paper which you are reviewing, 
			the text responses from this section will form the bulk of the final review
			and your answers will affect which questions you are asked in the future.
			Please complete all appropriate fields.
			<br><br>
			<?
			if(isset($_SESSION["error"])){
				echo($_SESSION["error"]);	
			}			
			?>
			<div>
			<b>Does this paper describe a technique or techniques?</b>
			<table><tr>
			<td>Yes</td><td><input id = "techniqueRadioYes" type="radio" name = "techniqueRadio" value = "yes" onClick="checkTechnique()" <? if(isset($_SESSION["Techniques"]) && $_SESSION["Techniques"] == "yes") { echo(" checked ");}?>/></td></tr>
			<tr><td>No</td><td><input id = "techniqueRadioNo" type="radio" name = "techniqueRadio" value = "no" onClick="checkTechnique()" <? if($_SESSION["Techniques"] != "yes") { echo(" checked ");}?>/></td></tr>
			</table>
			</div>
			<div id="techniqueForm" name = "techniqueForm">
			</div>
			<div name = "techniqueDetail" id ="techniqueDetail">
			<div name = "technique1" id ="technique1"></div>
			<div name = "technique2" id ="technique2"></div>
			<div name = "technique3" id ="technique3"></div>
			<div name = "technique4" id ="technique4"></div>
			<div name = "technique5" id ="technique5"></div>
			<div name = "technique6" id ="technique6"></div>
			<div name = "technique7" id ="technique7"></div>
			<div name = "technique8" id ="technique8"></div>
			<div name = "technique9" id ="technique9"></div>
			<div name = "technique10" id ="technique10"></div>
			</div>
			
			<br><br>
			<b>Does this paper describe a system?</b><br>
			<table><tr>
			<td>Yes</td><td><input id = "systemRadioYes" type="radio" name = "systemRadio" value = "yes" onClick="checkSystem()" <? if(isset($_SESSION["System"]) && $_SESSION["System"] == "yes") { echo(" checked ");}?>/></td></tr>
			<tr><td>No</td><td><input id = "systemRadioNo" type="radio" name = "systemRadio" value = "no" onClick="checkSystem()" <? if($_SESSION["System"] != "yes") { echo(" checked ");}?>/></td></tr>
			</table>
			<div id = "systemForm">
			<div id = "systemDetail">
			<div id="systemToolsPanel">
			<div id ="tools1" name="tools1"></div>
			<div id ="tools2" name="tools2"></div>
			<div id ="tools3" name="tools3"></div>
			<div id ="tools4" name="tools4"></div>
			<div id ="tools5" name="tools5"></div>
			<div id ="tools6" name="tools6"></div>
			<div id ="tools7" name="tools7"></div>
			<div id ="tools8" name="tools8"></div>
			<div id ="tools9" name="tools9"></div>
			<div id ="tools10" name="tools10"></div>
			</div>
			</div>
			</div>
			
			<br><br><b>Does this paper identify a new problem to be tackled?</b><br>
			<table><tr>
			<td>Yes</td><td><input id = "problemRadioYes" type="radio" name = "problemRadio" value = "yes" onClick="checkProblem()" <? if(isset($_SESSION["Problem"]) && $_SESSION["Problem"] == "yes") { echo(" checked ");}?>/></td></tr>
			<tr><td>No</td><td><input id = "problemRadioNo" type="radio" name = "problemRadio" value = "no" onClick="checkProblem()" <? if($_SESSION["Problem"] != "yes") { echo(" checked ");}?>/></td></tr>
			</table>
			<div id = "problemForm">
			</div>
			
			<br><br><b>Does this paper include a significant literature review or survey?</b><br>
			<table><tr>
			<td>Yes</td><td><input id = "surveyRadioYes" type="radio" name = "surveyRadio" value = "yes" onClick="checkSurvey()" <? if(isset($_SESSION["Survey"]) && $_SESSION["Survey"] == "yes") { echo(" checked ");}?>/></td></tr>
			<tr><td>No</td><td><input id = "surveyRadioNo" type="radio" name = "surveyRadio" value = "no" onClick="checkSurvey()" <? if($_SESSION["Survey"] != "yes") { echo(" checked ");}?>/></td></tr>
			</table>
			<div id = "surveyForm">
			</div>
			<div id = "surveyDetail">
			</div>
			
			
			<br><br><b>How many hypotheses or claims does this paper make?</b><br>
			<select id = "hypothesesQuantity" name = "hypothesesQuantity" onChange="checkHypQuantity()">
			<option value = "0"></option>
			<option value = "1">1</option>
			<option value = "2">2</option>
			<option value = "3">3</option>
			<option value = "4">4</option>
			<option value = "5">5</option>
			<option value = "6">6</option>
			<option value = "7">7</option>
			<option value = "8">8</option>
			<option value = "9">9</option>
			<option value = "10">10</option>
			</select>
			
			<div id = "hypothesisDetail">
			<div id = "hypothesis1"></div>
			<div id = "hypothesis2"></div>
			<div id = "hypothesis3"></div>
			<div id = "hypothesis4"></div>
			<div id = "hypothesis5"></div>
			<div id = "hypothesis6"></div>
			<div id = "hypothesis7"></div>
			<div id = "hypothesis8"></div>
			<div id = "hypothesis9"></div>
			<div id = "hypothesis10"></div>
			</div>
			
			<br><Br><input type="submit" value="submit"/>
			
			</form>
	
			<div align="right">
			<?
			if(isset($_SESSION["history"])){
			$link = $_SESSION["history"][count($_SESSION["history"]) - 1];
			$temp = parse_url($link);
			$query = $temp["query"];
			if($query == ""){
				$link = $link . "?back=true";	
			}
			else{
				$link = $link . "&back=true";	
			}
			echo("<a href = \"");
			echo($link);
			echo("\">Back</a>");	
			}
			?>
			</div>
	</div>
</div>
	
<div id = "sidebar">
		<b>Menu</b>
		<br><br><a href = "destroy.php">Destroy Session</a><br><br>
		Jump to Section<br><br>
		<?
			if($_SESSION["seen"]["getInfo.php"] == "true") { echo("<br><a href = \"getInfo.php?sidebar=true\">Initial Information</a>"); }
			if($_SESSION["seen"]["summary.php"] == "true") { echo("<br><a href = \"summary.php?sidebar=true\">Summary</a>"); }
			if($_SESSION["seen"]["technique.php"] == "true") {
				if(isset($_SESSSON["Technique"]) && $_SESSION["Technique"] == "yes" && $_SESSION["seen"]["technique.php"] == "true"){
					for($x = 1; $x < $_SESSION["TechniqueQuantity"] + 1; $x++){
						$string = "<br><a href = \"summary.php?sidebar=true&TechniqueNumber=";
						$string .= $x;
						$string .= "\">Technique ";
						$string .= $x;
						$string .= "</a>";
						echo($string);
					}	
				}	
			}
			if($_SESSION["seen"]["relevance.php"] == "true") { echo("<br><a href = \"relevance.php?sidebar=true\">Relevance</a>"); }
			if($_SESSION["seen"]["originality.php"] == "true") { echo("<br><a href = \"originality.php?sidebar=true\">Originality</a>"); }
			if($_SESSION["seen"]["validity.php"] == "true") { echo("<br><a href = \"validity.php?sidebar=true\">Validity</a>"); }
			if($_SESSION["seen"]["presentation.php"] == "true") { echo("<br><a href = \"presentation.php?sidebar=true\">Presentation</a>"); }
		?>
	</div>
	<div class="clearing">&nbsp;</div>
	</div>
</div>

	<div id = "footer">
	<a href = "mailto:crighton@gmail.com">Dave Crighton</a>: MSc Student<br>
	<a href = "http://www.inf.ed.ac.uk">School of Informatics</a><br>
	University of Edinburgh<br>
	</div>
	

	<div id = "Loading" class = "LoadingPopUp">
	<B><H2>Loading...</h2></b>
	</div>

</BODY>
</HTML>
