<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");
//session handling information please!
session_start();
header("Cache-control: private"); //IE 6 fix

if(isset($_GET["back"]) && $_GET["back"] == "true"){
	$_SESSION["history"] = array_slice($_SESSION["history"], 0, count($_SESSION["history"]) - 1);
	$_SESSION["agenda"]->enqueue($_ENV['HTTP_REFERER']);
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>ERA2: Assessing Relevance</TITLE>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="D Crighton">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" href="style.css" type="text/css"> 
<script language="javascript"  type="text/javascript">
var http = getHTTPObject(); // We create the HTTP Object
var isWorking = false;
var relevanceHandler = "relevanceHandler.php?index=" + Math.random() + "&relevanceOn="; 

function populate(){
	var paperRelevanceIndex = <? if(isset($_SESSION["PaperRelevance"])){ echo($_SESSION["PaperRelevance"]); } else {echo("0"); } ?>;
	document.getElementById('paperRelevance').options[paperRelevanceIndex].selected = true;
	var typeIndex =  <? if(isset($_SESSION["ConferenceType"])){ echo($_SESSION["ConferenceType"]); } else {echo("0"); } ?>;
	var optionValue = document.getElementById('paperRelevance').selectedIndex;
  	if(optionValue == 5){
  		http.open("GET", relevanceHandler + escape(true), false);
  		http.send(null)
  		results = http.responseText;
  		document.getElementById('relevanceDetail').innerHTML = results;
  	}
	if(document.getElementById("conferenceType")){
		document.getElementById("conferenceType").options[typeIndex].selected = true;
	}
	var coverageIndex =  <? if(isset($_SESSION["Coverage"])){ echo($_SESSION["Coverage"]); } else {echo("0"); } ?>;
	if(document.getElementById("coverage")){
		document.getElementById("coverage").options[coverageIndex].selected = true;
	}
}

function checkRelevance() {
  		var optionValue = document.getElementById('paperRelevance').selectedIndex;
  		if(optionValue == 5){
  		http.open("GET", relevanceHandler + escape(true), true);
  		}
  		else{
  		http.open("GET", relevanceHandler + escape(false), true);
  		}
  		http.onreadystatechange = handleRelevanceHttpResponse;
  		isWorking=true;
  		http.send(null);
}

function handleRelevanceHttpResponse() {
  if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {

    // Split the comma delimited response into an array
    results = http.responseText;
    document.getElementById('relevanceDetail').innerHTML = results;
    isWorking = false;
  	}
  }
}

function getHTTPObject() {
  var xmlhttp;
  /*@cc_on
  @if (@_jscript_version >= 5)
    try {
      xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {
      try {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
      } catch (E) {
        xmlhttp = false;
      }
    }
  @else
  xmlhttp = false;
  @end @*/
  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
    try {
      xmlhttp = new XMLHttpRequest();
    } catch (e) {
      xmlhttp = false;
    }
  }
  return xmlhttp;
}
</script>
</HEAD>

<BODY onLoad="populate()">
<div id = "header">
<img src = "./images/logo.gif"/>
</div>

<div id="wrapper">

	<div id = "container">
		<div id = "content">
			<br><br>
			This section helps you to assess the relevance of this paper to the journal it is being considered for publication in. If you are
			not sure of the relevance yourself then select the "I am not sure" option in answer to the penultimate question and you will be asked a series of questions
			which will help you decide the relevence of this paper. Please complete all appropriate sections. 
		
			<form id = "relevance" name="relevance" action = "relevancePageHandler.php" method = "POST">
			<br><br><b>What is the title of the publication for which this paper is being considered</b><br>
			<textarea rows = "1" cols="60" id="publicationTitle" name="publicationTitle"><?
			if(isset($_SESSION["PublicationTitle"])){
				echo($_SESSION["PublicationTitle"]);
			}
			?></textarea>
			<br><br><b>How relevant is this paper to this call for papers?</b><br>
			<select id = "paperRelevance" name = "paperRelevance" onChange="checkRelevance()">
			<option value = "0"></option>
			<option value = "1">Definately Relevant</option>
			<option value = "2">Mostly relevant</option>
			<option value = "3">Mostly NOT relevant</option>
			<option value = "4">Definately NOT relevant</option>
			<option value = "5">I am not sure</option>
			</select>
			
			<div id = "relevanceDetail"></div>
			
			<br><br><b>Please motivate your choice(s)</b><br>
			<textarea rows = "4" cols = "60" id = "relevanceMotivation" name = "relevanceMotivation"><?
			if(isset($_SESSION["RelevanceMotivation"])){
				echo($_SESSION["RelevanceMotivation"]);
			}
			?></textarea>
			<br><Br><input type="submit" value="submit"/>
			
			</form>
	
			<div align="right">
			<?
			if(isset($_SESSION["history"])){
			$link = $_SESSION["history"][count($_SESSION["history"]) - 1];
			$temp = parse_url($link);
			$query = $temp["query"];
			if($query == ""){
				$link = $link . "?back=true";	
			}
			else{
				$link = $link . "&back=true";	
			}
			echo("<a href = \"");
			echo($link);
			echo("\">Back</a>");	
			}
			?>
			</div>
	</div>
</div>

	<div id = "sidebar">
		<b>Menu</b>
		<br><br><a href = "destroy.php">Destroy Session</a><br><br>
		Jump to Section<br><br>
		<?
			if($_SESSION["seen"]["getInfo.php"] == "true") { echo("<br><a href = \"getInfo.php?sidebar=true\">Initial Information</a>"); }
			if($_SESSION["seen"]["summary.php"] == "true") { echo("<br><a href = \"summary.php?sidebar=true\">Summary</a>"); }
			if($_SESSION["seen"]["technique.php"] == "true") {
				if(isset($_SESSION["Technique"]) && $_SESSION["Technique"] == "yes" && $_SESSION["seen"]["technique.php"] == "true"){
					for($x = 1; $x < $_SESSION["TechniqueQuantity"] + 1; $x++){
						$string = "<br><a href = \"summary.php?sidebar=true&TechniqueNumber=";
						$string .= $x;
						$string .= "\">Technique ";
						$string .= $x;
						$string .= "</a>";
						echo($string);
					}	
				}	
			}
			if($_SESSION["seen"]["relevance.php"] == "true") { echo("<br><a href = \"relevance.php?sidebar=true\">Relevance</a>"); }
			if($_SESSION["seen"]["originality.php"] == "true") { echo("<br><a href = \"originality.php?sidebar=true\">Originality</a>"); }
			if($_SESSION["seen"]["validity.php"] == "true") { echo("<br><a href = \"validity.php?sidebar=true\">Validity</a>"); }
			if($_SESSION["seen"]["presentation.php"] == "true") { echo("<br><a href = \"presentation.php?sidebar=true\">Presentation</a>"); }
		?>
	</div>
	<div class="clearing">&nbsp;</div>
	</div>
</div>

	<div id = "footer">
	<a href = "mailto:crighton@gmail.com">Dave Crighton</a>: MSc Student<br>
	<a href = "http://www.inf.ed.ac.uk">School of Informatics</a><br>
	University of Edinburgh<br>
	</div>


</BODY>
</HTML>
