<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");

session_start();
header("Cache-control: private"); //IE 6 fix

$_SESSION["seen"]["relevance.php"] = true;

$_SESSION["agenda"]->pop();

clearSessionVariables();
handleGeneral();

$_SESSION["history"][] = "relevance.php";
$url = $_SESSION["agenda"]->peek();
echo("<meta http-equiv=\"refresh\" content=\"0;url=$url\">");

function clearSessionVariables(){
	if(isset($_SESSION["facts"]["relevancePageHandler.php"])){
		foreach($_SESSION["facts"]["relevancePageHandler.php"] as $fact){
			$_SESSION["kb"]->retract_fact($fact);
		}
	}
	unset($_SESSION["PublicationTitle"]);
	unset($_SESSION["PaperRelevance"]);
	unset($_SESSION["ConferenceType"]);
	unset($_SESSION["Coverage"]);
	unset($_SESSION["RelevanceMotivation"]);
}

function handleGeneral(){
	if(isset($_POST["publicationTitle"])){
		$_SESSION["PublicationTitle"] = $_POST["publicationTitle"];
	}
	if(isset($_POST["paperRelevance"])){
		if($_POST["paperRelevance"] == -1){
			$_SESSION["PaperRelevance"] = 0;
		}
		else{
			$_SESSION["PaperRelevance"] = $_POST["paperRelevance"];
			if($_SESSION["PaperRelevance"] == 1){
				$fact = new fact("relevance", Array(new atom("excellent")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;	
			}
			elseif($_SESSION["PaperRelevance"] == 2){
				$fact = new fact("relevance", Array(new atom("good")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;	
			}
			elseif($_SESSION["PaperRelevance"] == 3){
				$fact = new fact("relevance", Array(new atom("average")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;	
			}
			elseif($_SESSION["PaperRelevance"] == 4){
				$fact = new fact("relevance", Array(new atom("poor")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;	
			}
		}
	}
	if(isset($_POST["conferenceType"])){
		$_SESSION["ConferenceType"] = $_POST["conferenceType"];
		if($_SESSION["ConferenceType"] == 1){
				$fact = new fact("conferenceType", Array(new atom("experimental")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;		
		}
		elseif($_SESSION["ConferenceType"] == 2){
				$fact = new fact("conferenceType", Array(new atom("theoretical")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;		
		}
		elseif($_SESSION["ConferenceType"] == 3){
				$fact = new fact("conferenceType", Array(new atom("experimental")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;	
				$fact = new fact("conferenceType", Array(new atom("theoretical")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;		
		}
	}
	if(isset($_POST["coverage"])){
		$_SESSION["Coverage"] = $_POST["coverage"];
		if($_SESSION["Coverage"] == 1){
			$fact = new fact("call4PapersCoverage", Array(new atom("excellent")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;		
		}
		elseif($_SESSION["Coverage"] == 2){
			$fact = new fact("call4PapersCoverage", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;		
		}
		elseif($_SESSION["Coverage"] == 3){
			$fact = new fact("call4PapersCoverage", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;		
		}
		elseif($_SESSION["Coverage"] == 4){
			$fact = new fact("call4PapersCoverage", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;		
		}
		elseif($_SESSION["Coverage"] == 5){
			$fact = new fact("call4PapersCoverage", Array(new atom("awful")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["relevancePageHandler.php"][] = $fact;		
		}
	}
	if(isset($_POST["relevanceMotivation"])){
		$_SESSION["RelevanceMotivation"] = $_POST["relevanceMotivation"];
	}
}


?>