<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");
//session handling information please!
session_start();
header("Cache-control: private"); //IE 6 fix

if(isset($_GET["back"]) && $_GET["back"] == "true"){
	$_SESSION["history"] = array_slice($_SESSION["history"], 0, count($_SESSION["history"]) - 1);
	$_SESSION["agenda"]->enqueue($_ENV['HTTP_REFERER']);
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>ERA4: Assessing Validity</TITLE>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="D Crighton">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" href="style.css" type="text/css"> 
<script language="javascript"  type="text/javascript">
var http = getHTTPObject(); // We create the HTTP Object
var isWorking = false;
var validityHandler = "validityHandler.php?index=" + Math.random() + "&relevanceOn="; 

function populate(){
	
}



function getHTTPObject() {
  var xmlhttp;
  /*@cc_on
  @if (@_jscript_version >= 5)
    try {
      xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {
      try {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
      } catch (E) {
        xmlhttp = false;
      }
    }
  @else
  xmlhttp = false;
  @end @*/
  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
    try {
      xmlhttp = new XMLHttpRequest();
    } catch (e) {
      xmlhttp = false;
    }
  }
  return xmlhttp;
}
</script>
</HEAD>

<BODY onLoad="populate()">
<div id = "header">
<img src = "./images/logo.gif"/>
</div>

<div id="wrapper">

	<div id = "container">
		<div id = "content">
			<br><br>
			This section helps you assess the validity of this paper. The questions you are asked will depend on the answers you have provided
			in previous sections. Please complete all appropriate questions.
		
			<form id = "validity" name="validity" action = "validityPageHandler.php" method = "POST">
			
			<? if(isset($_SESSION["TechniqueQuantity"])){
				$quantity = $_SESSION["TechniqueQuantity"];
				for($i = 1; $i < $quantity + 1; $i++){
				?>
				<br><br><b>This section concerns technique number :</b><? echo("$i<br>");
				if(isset($_SESSION["TechniqueNames"][$i])){
				echo("<br><b>You have identified this technique as: </b>");
				echo($_SESSION["TechniqueNames"][$i]);
			}
			else{
				echo("<br><b>You failed to provide an identifier for this technique, you may do so through the summary screen</b>");	
			}
				?>
				<br><br><b>Is there evidence of thorough evaluation of technique <? echo($i);?></b><br>
				<select id = "evalEvidenceTechnique<? echo($i);?>" name = "evalEvidenceTechnique<? echo($i);?>">
				<option value = "0"></option>
				<option value = "1" <? $string2 = "EvalEvidenceTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 1) { echo("SELECTED"); } ?> >Yes</option>
				<option value = "2" <? $string2 = "EvalEvidenceTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 2) { echo("SELECTED"); } ?> >Some evaluation, but not thorough</option>
				<option value = "3" <? $string2 = "EvalEvidenceTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 3) { echo("SELECTED"); } ?> >No evaluation</option>
				</select>
				<br><br><b>Is the approach taken for evaluation of technique number <? echo($i);?> sound?</b><br>
				<select id = "evalSoundTechnique<? echo($i);?>" name = "evalSoundTechnique<? echo($i);?>">
				<option value = "0"></option>
				<option value = "1" <? $string2 = "EvalSoundTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 1) { echo("SELECTED"); } ?> >Yes it is sound</option>
				<option value = "2" <? $string2 = "EvalSoundTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 2) { echo("SELECTED"); } ?> >It has some problems</option>
				<option value = "3" <? $string2 = "EvalSoundTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 3) { echo("SELECTED"); } ?> >It is entirely unsound</option>
				</select>
				<br><br><b>You described technique number <? echo($i);?> as solving the problem below:</b><br>
				<? $string = "TechniqueProblems";
				if(isset($_SESSION["TechniqueProblems"][$i])){
					echo($_SESSION["TechniqueProblems"][$i]);	
				}
				else{
					echo("Description not found, you may enter it through the techniques page");
				}
				?>
				<br><br><b>Is it a good solution to this problem?</b><br>
				<select id = "evalProbTechnique<? echo($i);?>" name = "evalProbTechnique<? echo($i);?>">
				<option value = "0"></option>
				<option value = "1" <? $string2 = "EvalProbTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 1) { echo("SELECTED"); } ?> >Yes it is an excellent solution</option>
				<option value = "2" <? $string2 = "EvalProbTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 2) { echo("SELECTED"); } ?> >It is a solution but not a very good one</option>
				<option value = "3" <? $string2 = "EvalProbTechnique"; if(isset($_SESSION[$string2][$i]) && $_SESSION[$string2][$i] == 3) { echo("SELECTED"); } ?> >It is not a solution</option>
				</select>
				<?
				}
			} 
			
			if(isset($_SESSION["System"]) && $_SESSION["System"] == "yes"){
				if(isset($_SESSION["SystemName"])){
				?><br><br><b>This section concerns the system which you named: </b><? echo($_SESSION["SystemName"]);?><br><?
				}
				else{
				?><br><br><b>This section concerns the evaluation of the system described in the paper</b><br><?
				}
				?>
				<br><br><b>Is there evidence of thorough evaluation of the system, both internal and with end users, if appropriate?</b><br> 
				<select id = "systemUserEval" name = "systemUserEval">
				<option value = "0"></option>
				<option value = "1" <? if(isset($_SESSION["SystemUserEval"]) && $_SESSION["SystemUserEval"] == 1) { echo("SELECTED"); } ?> >Yes</option>
				<option value = "2" <? if(isset($_SESSION["SystemUserEval"]) && $_SESSION["SystemUserEval"] == 2) { echo("SELECTED"); } ?> >Some evaluation, but not thorough</option>
				<option value = "3" <? if(isset($_SESSION["SystemUserEval"]) && $_SESSION["SystemUserEval"] == 3) { echo("SELECTED"); } ?> >No evaluation</option>
				</select>
				<br><br><b>Is the approach taken for the evaluation of the system described sound? </b><br> 
				<select id = "systemSoundEval" name = "systemSoundEval">
				<option value = "0"></option>
				<option value = "1" <? if(isset($_SESSION["SystemSoundEval"]) && $_SESSION["SystemSoundEval"] == 1) { echo("SELECTED"); } ?> >Yes, it is sound</option>
				<option value = "2" <? if(isset($_SESSION["SystemSoundEval"]) && $_SESSION["SystemSoundEval"] == 2) { echo("SELECTED"); } ?> >It has some problems</option>
				<option value = "3" <? if(isset($_SESSION["SystemSoundEval"]) && $_SESSION["SystemSoundEval"] == 3) { echo("SELECTED"); } ?> >It is entirely unsound</option>
				</select>
				<br><br><b>Do the results of the evaluation (if any) suggest that the system is 'good', or does it have paricular weaknesses? </b><br> 
				<select id = "systemGoodEval" name = "systemGoodEval">
				<option value = "0"></option>
				<option value = "1" <? if(isset($_SESSION["SystemGoodEval"]) && $_SESSION["SystemGoodEval"] == 1) { echo("SELECTED"); } ?> >It is a good system</option>
				<option value = "2" <? if(isset($_SESSION["SystemGoodEval"]) && $_SESSION["SystemGoodEval"] == 2) { echo("SELECTED"); } ?> >It has some minor weaknesses</option>
				<option value = "3" <? if(isset($_SESSION["SystemGoodEval"]) && $_SESSION["SystemGoodEval"] == 3) { echo("SELECTED"); } ?> >It has major flaws</option>
				</select>

			<? }?>
			<br><br><b>This section deals with general evaluation of this paper</b>
			<br><br><b>Are there gaps of faults in informal arguments?</b><br>
			<select id = "informalArguments" name = "informalArguments">
			<option value = "0"></option>
			<option value = "1" <? if(isset($_SESSION["InformalArguments"]) && $_SESSION["InformalArguments"] == 1) { echo("SELECTED"); } ?> >No</option>
			<option value = "2" <? if(isset($_SESSION["InformalArguments"]) && $_SESSION["InformalArguments"] == 2) { echo("SELECTED"); } ?> >Yes, but minor ones</option>
			<option value = "3" <? if(isset($_SESSION["InformalArguments"]) && $_SESSION["InformalArguments"] == 3) { echo("SELECTED"); } ?> >Yes, major ones</option>
			</select>
			
			<br><br><b>Is terminology used consistently and correctly?</b><br>
			<select id = "terminology" name = "terminology">
			<option value = "0"></option>
			<option value = "1" <? if(isset($_SESSION["Terminology"]) && $_SESSION["Terminology"] == 1) { echo("SELECTED"); } ?> >Yes</option>
			<option value = "2" <? if(isset($_SESSION["Terminology"]) && $_SESSION["Terminology"] == 2) { echo("SELECTED"); } ?> >Some minor errors or inconsitencies</option>
			<option value = "3" <? if(isset($_SESSION["Terminology"]) && $_SESSION["Terminology"] == 3) { echo("SELECTED"); } ?> >Major or frequent errors or inconsistencies</option>
			</select>
			
			<br><br><b>Are unjustified assertions made in the paper?</b><br>
			<select id = "unjustifiedAssertions" name = "unjustifiedAssertions">
			<option value = "0"></option>
			<option value = "1" <? if(isset($_SESSION["UnjustifiedAssertions"]) && $_SESSION["UnjustifiedAssertions"] == 1) { echo("SELECTED"); } ?> >No</option>
			<option value = "2" <? if(isset($_SESSION["UnjustifiedAssertions"]) && $_SESSION["UnjustifiedAssertions"] == 2) { echo("SELECTED"); } ?> >Some unimportant assumptions are not justified</option>
			<option value = "3" <? if(isset($_SESSION["UnjustifiedAssertions"]) && $_SESSION["UnjustifiedAssertions"] == 3) { echo("SELECTED"); } ?> >Yes, there are major unjustified assertions</option>
			</select>
			
			<br><br><b>Are any algorithms presented free from errors?</b><br>
			<select id = "algorithms" name = "algorithms">
			<option value = "0"></option>
			<option value = "1" <? if(isset($_SESSION["Algorithms"]) && $_SESSION["Algorithms"] == 1) { echo("SELECTED"); } ?> >There are no algorithms</option>
			<option value = "2" <? if(isset($_SESSION["Algorithms"]) && $_SESSION["Algorithms"] == 2) { echo("SELECTED"); } ?> >There are algorithms with no mistakes</option>
			<option value = "3" <? if(isset($_SESSION["Algorithms"]) && $_SESSION["Algorithms"] == 3) { echo("SELECTED"); } ?> >There are algorithms with minor errors</option>
			<option value = "4" <? if(isset($_SESSION["Algorithms"]) && $_SESSION["Algorithms"] == 4) { echo("SELECTED"); } ?> >There are algorithms with major errors</option>
			</select>
			
			<br><br><b>Are examples consistent with the technical body of the work?</b><br>
			<select id = "examples" name = "examples">
			<option value = "0"></option>
			<option value = "1" <? if(isset($_SESSION["Examples"]) && $_SESSION["Examples"] == 1) { echo("SELECTED"); } ?> >There are no examples</option>
			<option value = "2" <? if(isset($_SESSION["Examples"]) && $_SESSION["Examples"] == 2) { echo("SELECTED"); } ?> >There are examples which are consistent with the technical content</option>
			<option value = "3" <? if(isset($_SESSION["Examples"]) && $_SESSION["Examples"] == 3) { echo("SELECTED"); } ?> >There are examples with minor inconsistencies</option>
			<option value = "4" <? if(isset($_SESSION["Examples"]) && $_SESSION["Examples"] == 4) { echo("SELECTED"); } ?> >There are examples with major inconsistencies</option>
			</select>
			
			<br><br><b>Are mathematical or logical proofs consistent with the algorithms?</b><br>
			<select id = "maths" name = "maths">
			<option value = "0"></option>
			<option value = "1" <? if(isset($_SESSION["Maths"]) && $_SESSION["Maths"] == 1) { echo("SELECTED"); } ?> >Yes</option>
			<option value = "2" <? if(isset($_SESSION["Maths"]) && $_SESSION["Maths"] == 2) { echo("SELECTED"); } ?> >Some minor faults</option>
			<option value = "3" <? if(isset($_SESSION["Maths"]) && $_SESSION["Maths"] == 3) { echo("SELECTED"); } ?> >Many or major faults</option>
			</select>
			
			<br><br><b>Does the paper justify all conclusions drawn from experimental work?</b><br>
			<select id = "experimantalJustifications" name = "experimantalJustifications">
			<option value = "0"></option>
			<option value = "1" <? if(isset($_SESSION["ExperimantalJustifications"]) && $_SESSION["ExperimantalJustifications"] == 1) { echo("SELECTED"); } ?> >Yes</option>
			<option value = "2" <? if(isset($_SESSION["ExperimantalJustifications"]) && $_SESSION["ExperimantalJustifications"] == 2) { echo("SELECTED"); } ?> >Some unimportant claims aren't justified</option>
			<option value = "3" <? if(isset($_SESSION["ExperimantalJustifications"]) && $_SESSION["ExperimantalJustifications"] == 3) { echo("SELECTED"); } ?> >No, important claims aren't justified</option>
			</select>
			
			<br><Br><input type="submit" value="submit"/>
			
			</form>
	
			<div align="right">
			<?
			if(isset($_SESSION["history"])){
			$link = $_SESSION["history"][count($_SESSION["history"]) - 1];
			$temp = parse_url($link);
			$query = $temp["query"];
			if($query == ""){
				$link = $link . "?back=true";	
			}
			else{
				$link = $link . "&back=true";	
			}
			echo("<a href = \"");
			echo($link);
			echo("\">Back</a>");	
			}
			?>
			</div>
	</div>
</div>
<div id = "sidebar">
		<b>Menu</b>
		<br><br><a href = "destroy.php">Destroy Session</a><br><br>
		Jump to Section<br><br>
		<?
			if($_SESSION["seen"]["getInfo.php"] == "true") { echo("<br><a href = \"getInfo.php?sidebar=true\">Initial Information</a>"); }
			if($_SESSION["seen"]["summary.php"] == "true") { echo("<br><a href = \"summary.php?sidebar=true\">Summary</a>"); }
			if($_SESSION["seen"]["technique.php"] == "true") {
				if(isset($_SESISON["Technique"]) && $_SESSION["Technique"] == "yes" && $_SESSION["seen"]["technique.php"] == "true"){
					for($x = 1; $x < $_SESSION["TechniqueQuantity"] + 1; $x++){
						$string = "<br><a href = \"summary.php?sidebar=true&TechniqueNumber=";
						$string .= $x;
						$string .= "\">Technique ";
						$string .= $x;
						$string .= "</a>";
						echo($string);
					}	
				}	
			}
			if($_SESSION["seen"]["relevance.php"] == "true") { echo("<br><a href = \"relevance.php?sidebar=true\">Relevance</a>"); }
			if($_SESSION["seen"]["originality.php"] == "true") { echo("<br><a href = \"originality.php?sidebar=true\">Originality</a>"); }
			if($_SESSION["seen"]["validity.php"] == "true") { echo("<br><a href = \"validity.php?sidebar=true\">Validity</a>"); }
			if($_SESSION["seen"]["presentation.php"] == "true") { echo("<br><a href = \"presentation.php?sidebar=true\">Presentation</a>"); }
		?>
	</div>
	<div class="clearing">&nbsp;</div>
	</div>
</div>

	<div id = "footer">
	<a href = "mailto:crighton@gmail.com">Dave Crighton</a>: MSc Student<br>
	<a href = "http://www.inf.ed.ac.uk">School of Informatics</a><br>
	University of Edinburgh<br>
	</div>


</BODY>
</HTML>
